import request from '@/utils/request'

// 查询开车条件确认模板列表
export function listPssrModel(query) {
  return request({
    url: '/pssr/pssrModel/list',
    method: 'get',
    params: query
  })
}

// 查询开车条件确认模板详细
export function getPssrModel(id) {
  return request({
    url: '/pssr/pssrModel/' + id,
    method: 'get'
  })
}

// 新增开车条件确认模板
export function addPssrModel(data) {
  return request({
    url: '/pssr/pssrModel',
    method: 'post',
    data: data
  })
}

// 修改开车条件确认模板
export function updatePssrModel(data) {
  return request({
    url: '/pssr/pssrModel',
    method: 'put',
    data: data
  })
}

//
export function updatePssrModelBatch(data) {
  return request({
    url: '/pssr/pssrModel/editBatch',
    method: 'put',
    data: data
  })
}


// 删除开车条件确认模板
export function delPssrModel(id) {
  return request({
    url: '/pssr/pssrModel/' + id,
    method: 'delete'
  })
}

// 导出开车条件确认模板
export function exportPssrModel(query) {
  return request({
    url: '/pssr/pssrModel/export',
    method: 'get',
    params: query
  })
}
